/****************************************************************************
 *
 * Class:  LabelledScrollList
 * Author: Mark Roseman
 * 
 * This class is a string browser with a scroll bar along the right and a
 * text label at the top.  Done as a convenience because of all the silly 
 * layout stuff needed to get this to look right!
 *
 * Revision History:
 * 
 * Date     Modifier  Description
 * -------- --------- -------------------------------------------------------
 * 08/14/92 MR        initial version
 *
 ****************************************************************************/

/*
 *  This file is part of GroupKit.
 *
 *  (c) Copyright 1992 Department of Computer Science, University of
 *      Calgary, Calgary, Alberta, Canada.  All rights reserved.
 *    
 *  Permission to use, copy, modify, and distribute this software and its
 *  documentation for any purpose and without fee is hereby granted, provided
 *  that the above copyright notice appears in all copies.  The University
 *  of Calgary makes no representations about the suitability of this
 *  software for any purpose.  It is provided "as is" without express or
 *  implied warranty.
 */

#ifndef __labscrlst_h
#define __labscrlst_h

#include <InterViews/monoglyph.h>

class LabelledScrollList : public MonoGlyph {
public:
  LabelledScrollList(class WidgetKit* kit, char *label, class FileBrowser*, int width, int height);
};

#endif
